Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO::Any_SystemException Class Reference

`#include <Any_SystemException.h>`

Inheritance diagram for TAO::Any_SystemException:

[legend]
Collaboration diagram for TAO::Any_SystemException:

[legend]
List of all members.

## Public Member Functions
| Any_SystemException (_tao_destructor destructor, CORBA::TypeCode_ptr, CORBA::SystemException *const)
| Any_SystemException (_tao_destructor destructor, CORBA::TypeCode_ptr, const CORBA::SystemException &)
| Any_SystemException (CORBA::TypeCode_ptr)
virtual | ~Any_SystemException (void)
virtual CORBA::Boolean | marshal_value (TAO_OutputCDR &)
CORBA::Boolean | demarshal_value (TAO_InputCDR &)
virtual const void * | value (void) const
virtual void | free_value (void)
## Static Public Member Functions
void | insert (CORBA::Any &, _tao_destructor, CORBA::TypeCode_ptr, CORBA::SystemException *const)
void | insert_copy (CORBA::Any &, _tao_destructor destructor, CORBA::TypeCode_ptr, const CORBA::SystemException &)
CORBA::Boolean | extract (const CORBA::Any &, _tao_destructor, CORBA::TypeCode_ptr, const CORBA::SystemException *&, excp_factory f)
## Protected Attributes
CORBA::SystemException * | value_

## Constructor & Destructor Documentation

TAO::Any_SystemException::Any_SystemException | ( | _tao_destructor | destructor,
|  | CORBA::TypeCode_ptr | ,
|  | CORBA::SystemException * | const
| ) |

TAO::Any_SystemException::Any_SystemException | ( | _tao_destructor | destructor,
|  | CORBA::TypeCode_ptr | ,
|  | const CORBA::SystemException & |
| ) |

TAO::Any_SystemException::Any_SystemException | ( | CORBA::TypeCode_ptr |  | ) |

TAO::Any_SystemException::~Any_SystemException | ( | void |  | ) | `[virtual]`

## Member Function Documentation

CORBA::Boolean TAO::Any_SystemException::demarshal_value | ( | TAO_InputCDR & |  | ) |

CORBA::Boolean TAO::Any_SystemException::extract | ( | const CORBA::Any & | ,
|  | _tao_destructor | ,
|  | CORBA::TypeCode_ptr | ,
|  | const CORBA::SystemException *& | ,
|  | excp_factory | f
| ) | `[static]`

void TAO::Any_SystemException::free_value | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO::Any_Impl.

void TAO::Any_SystemException::insert | ( | CORBA::Any & | ,
|  | _tao_destructor | ,
|  | CORBA::TypeCode_ptr | ,
|  | CORBA::SystemException * | const
| ) | `[static]`

void TAO::Any_SystemException::insert_copy | ( | CORBA::Any & | ,
|  | _tao_destructor | destructor,
|  | CORBA::TypeCode_ptr | ,
|  | const CORBA::SystemException & |
| ) | `[static]`

CORBA::Boolean TAO::Any_SystemException::marshal_value | ( | TAO_OutputCDR & |  | ) | `[virtual]`

| Implements TAO::Any_Impl.

const void * TAO::Any_SystemException::value | ( | void |  | ) | const`[virtual]`

| Deprecated: Deprecated by the OMG. This no longer appears in the C++ mapping. It is here only for backward compatibility. It is no longer (as of 5/26/04) used anywhere in TAO. Reimplemented from TAO::Any_Impl.

## Member Data Documentation

CORBA::SystemException* TAO::Any_SystemException::value_`[protected]`

The documentation for this class was generated from the following files:

- Any_SystemException.h
- Any_SystemException.cpp